Subject: Re: [PATCH 01/13] ci: also run linux-gcc pipeline with python-3.7 environment

From: SZEDER Gábor <[email-masked]>
Date: Thu, 12 Dec 2019 18:15:16 +0100

On Thu, Dec 12, 2019 at 09:04:24AM -0800, Yang Zhao wrote:
> On Thu, Dec 12, 2019 at 6:13 AM SZEDER Gábor <[email-masked]> wrote:
> >
> > > The CI scripts as it is currently does not separate compiling and testing for
> > > non-Windows builds. I don't see a good way to only run a specific set of tests
> > > given a particular environment without re-architecturing the CI pipeline.
> >
> > Building git and running the test suite is encapsulated in the
> > 'ci/run-build-and-tests.sh' script, while installing dependencies is
> > encapsulated in 'ci/install-dependencies.sh', just in case Azure
> > Pipelines Linux images don't contain both Python 2 and 3 (Travis CI
> > images contain 2.7 and 3.5)  So I don't think it's necessary to touch
> > 'azure-pipelines.yml' or '.travis.yml' at all.
> 
> Yes, and this is implemented as a single step as far as the CI
> pipeline is concerned. It does not produce a build artifact that can
> then be loaded into multiple environments for running tests.

I don't understand what artifact should be loaded into what
environments...

> Unless there's a very good reason to _not_ use Azure Pipeline's
> built-in Python version selection support, I believe it's more
> desirable in the long-run to leverage the feature rather than maintain
> some custom solution.

Azure Pipelines's built-in Python version selection support only works
on Azure Pipelines, therefore it's more desirable to have a general
solution.